## r-cran-samr 3.0

=== DESCRIPTION ===
Package: samr
Title: SAM: Significance Analysis of Microarrays
Version: 3.0
Author: R. Tibshirani, Michael J. Seo, G. Chu, Balasubramanian Narasimhan, Jun Li
Description: Significance Analysis of Microarrays for differential expression analysis, RNAseq data and related problems.
Maintainer: Rob Tibshirani <tibs@stanford.edu>
biocViews:
Imports: impute, matrixStats, shiny, shinyFiles, openxlsx, GSA
License: LGPL
URL: https://statweb.stanford.edu/~tibs/SAM
Packaged: 2018-10-16 00:56:47 UTC; tibs
Repository: CRAN
Date/Publication: 2018-10-16 10:00:03 UTC
NeedsCompilation: yes

## r-cran-samr 2.0

=== debian/changelog ===
r-cran-samr (2.0-2) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jun 2018 06:49:57 +0200

r-cran-samr (2.0-1) unstable; urgency=medium

  * Initial release (closes: #892498)

 -- Andreas Tille <tille@debian.org>  Fri, 09 Mar 2018 19:56:18 +0100

=== debian/control ===
Source: r-cran-samr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-bioc-impute,
               r-cran-matrixstats
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-samr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-samr.git
Homepage: https://cran.r-project.org/package=samr

Package: r-cran-samr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R significance analysis of microarrays
 This GNU R package provides significance analysis of microarrays.
 A microarray is a multiplex lab-on-a-chip. It is a 2D array on a solid
 substrate (usually a glass slide or silicon thin-film cell) that assays
 large amounts of biological material using high-throughput screening
 miniaturized, multiplexed and parallel processing and detection methods.
 .
 This package helps analysing this kind of microarrays.

## r-cran-samr 3.0

=== debian/changelog ===
r-cran-samr (3.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 12:39:18 +0200

r-cran-samr (3.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * dh-update-R to update Build-Depends
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2018 08:16:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,20 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-impute,
-               r-cran-matrixstats
-Standards-Version: 4.1.4
+               r-cran-matrixstats,
+               r-cran-shiny,
+               r-cran-shinyfiles,
+               r-cran-openxlsx,
+               r-cran-gsa
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-samr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-samr.git
 Homepage: https://cran.r-project.org/package=samr
+Rules-Requires-Root: no
 
 Package: r-cran-samr
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.R" -exec chmod -x \{\} \;
	find debian -name "*.xlsx" -exec chmod -x \{\} \;
	find debian -iname "*.rmd" -exec chmod -x \{\} \;
